#!/usr/bin/env bash
# ------------------------------------------------------------------------------
# This file submits a job to the SLURM queue for CPU profling.
# ------------------------------------------------------------------------------
#SBATCH --job-name=omnitrace_hwcs
#SBATCH --partition=dev-g
#SBATCH --exclusive
#SBATCH --mem=0
#SBATCH --account=project_465000454
#SBATCH --nodes=1
#SBATCH --gpus-per-node=8
#SBATCH --ntasks=8
#SBATCH --time=0:01:00

# Purge modules as some default one(s) cause runtime issues.
module purge

# Load required modules.
module load LUMI/23.09 partition/G PrgEnv-cray cce/16.0.1
module load craype/2.7.23
module load cray-mpich cray-libsci cray-fftw cray-python
module load cray-hdf5-parallel cray-netcdf-hdf5parallel

# Load a custom ROCm version from a custom module.
module use /pfs/lustrep2/projappl/project_462000125/samantao-public/mymodules
module load rocm/5.4.3

# Load omnitrace.
module use /project/project_465000527/perf_tools/omnitrace/rocm-5.4/share/modulefiles
module load omnitrace

srun --ntasks 1 omnitrace-avail --all
